OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.ShaderBufferLoad

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVShaderBufferLoad :: MonadIO m => m Bool
- gl_NV_shader_buffer_load :: Bool
- gl_BUFFER_GPU_ADDRESS_NV :: GLenum
- gl_GPU_ADDRESS_NV :: GLenum
- gl_MAX_SHADER_BUFFER_ADDRESS_NV :: GLenum
- glGetBufferParameterui64vNV :: MonadIO m => GLenum -> GLenum -> Ptr GLuint64EXT -> m ()
- glGetIntegerui64vNV :: MonadIO m => GLenum -> Ptr GLuint64EXT -> m ()
- glGetNamedBufferParameterui64vNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64EXT -> m ()
- glGetUniformui64vNV :: MonadIO m => GLuint -> GLint -> Ptr GLuint64EXT -> m ()
- glIsBufferResidentNV :: MonadIO m => GLenum -> m GLboolean
- glIsNamedBufferResidentNV :: MonadIO m => GLuint -> m GLboolean
- glMakeBufferNonResidentNV :: MonadIO m => GLenum -> m ()
- glMakeBufferResidentNV :: MonadIO m => GLenum -> GLenum -> m ()
- glMakeNamedBufferNonResidentNV :: MonadIO m => GLuint -> m ()
- glMakeNamedBufferResidentNV :: MonadIO m => GLuint -> GLenum -> m ()
- glProgramUniformui64NV :: MonadIO m => GLuint -> GLint -> GLuint64EXT -> m ()
- glProgramUniformui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glUniformui64NV :: MonadIO m => GLint -> GLuint64EXT -> m ()
- glUniformui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64EXT -> m ()

# Extension Support

glGetNVShaderBufferLoad :: MonadIO m => m Bool

Is the NV_shader_buffer_load extension supported?

gl_NV_shader_buffer_load :: Bool

Is the NV_shader_buffer_load extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVShaderBufferLoad` in those cases instead.

# Enums

gl_BUFFER_GPU_ADDRESS_NV :: GLenum

gl_GPU_ADDRESS_NV :: GLenum

gl_MAX_SHADER_BUFFER_ADDRESS_NV :: GLenum

# Functions

glGetBufferParameterui64vNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64EXT`.
-> m () |

glGetIntegerui64vNV

Arguments

:: MonadIO m |
=> GLenum | `value`.
-> Ptr GLuint64EXT | `result` pointing to `COMPSIZE(value)` elements of type `GLuint64EXT`.
-> m () |

glGetNamedBufferParameterui64vNV

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type `VertexBufferObjectParameter`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64EXT`.
-> m () |

glGetUniformui64vNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(program,location)` elements of type `GLuint64EXT`.
-> m () |

glIsBufferResidentNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m GLboolean | of type Boolean.

glIsNamedBufferResidentNV

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

glMakeBufferNonResidentNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |

glMakeBufferResidentNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `access`.
-> m () |

glMakeNamedBufferNonResidentNV

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m () |

glMakeNamedBufferResidentNV

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `access`.
-> m () |

glProgramUniformui64NV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64EXT | `value`.
-> m () |

glProgramUniformui64vNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count` elements of type `GLuint64EXT`.
-> m () |

glUniformui64NV

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64EXT | `value`.
-> m () |

glUniformui64vNV

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*1` elements of type `GLuint64EXT`.
-> m () |